module MarketDataFaker
  class Quote
    def self.get(symbol=nil, fake_it=true)
      if fake_it
        symbol = MarketDataFaker::RandomSymbol.get
        puts "fake!"
      end
      IEX::Resources::Quote.get(symbol)
    end

    def self.batch(array, fake_it=true)
      batch = {}
      array.each do |symbol|
        batch[symbol] = MarketDataFaker::StockExchange.exchange(symbol, fake_it)
      end
      return batch
    end
  end
end
